import { IRemovalMethods, ITaskFunction } from '../Interface';
import { CoreRunner } from './CoreRunner';
/**
 * Handles running a task, and updating metadata.
 */
export declare function run(this: CoreRunner): void;
/**
 * Checks if slots are available and fills them up with tasks in the queue. Calls `run` internally.
 */
export declare function runPending(this: CoreRunner): void;
/**
 * Checks whether the runner is free to start and triggers `onStart` method (if provided).
 */
export declare function startCheck(this: CoreRunner): void;
/**
 * Triggers the `onAdd` method (if provided).
 */
export declare function addCheck(this: CoreRunner): void;
/**
 * Triggers the `onRemove` method (if provided).
 */
export declare function removeCheck(this: CoreRunner, method: IRemovalMethods, removedTasks: ITaskFunction[]): void;
/**
 * Checks whether the runner is free to start and runs pending. Triggers both `onStart` and `onRun` methods (if provided).
 */
export declare function startCheckAndRunPending(this: CoreRunner): void;
